Name:           python-biotext
Version:        2025.6.25
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        The Biotext Python Package bridges the gap between Bioinformatics and NLP by applying biological sequence analysis techniques to Text Mining. It introduces SWeePtex, a scalable text representation method built on the SWeeP algorithm. By encoding text into Biological Sequence-Like (BSL) formats — using AMINOcode (amino acid-like) and DNAbits (nucleotide-like) schemes — Biotext ensures compatibility with SWeeP, enabling efficient similarity analysis, clustering, and machine learning.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            ...
Source:         %{pypi_source biotext}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'biotext' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-biotext
Summary:        %{summary}

%description -n python3-biotext %_description


%prep
%autosetup -p1 -n biotext-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-biotext -f %{pyproject_files}


%changelog
%autochangelog